package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.service.DeviceService;
import com.bizmatics.service.vo.DeviceCountVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.List;

/**
 * 设备
 *
 * @author ya
 * @since 2021-07-07
 */
@RestController
@RequestMapping("/device")
public class DeviceController {
    @Autowired
    private DeviceService deviceService;


    /**
     * 查询设备总数
     * @param startTime
     * @param endTime
     * @return
     */
    @GetMapping("/count")
    public ApiResult<DeviceCountVO> count(@RequestParam Date startTime, @RequestParam Date endTime){
        return ApiResult.success(deviceService.selectDeviceCount(startTime,endTime));
    }


    /**
     * 查询不同类型的设备数量
     * @param site 站点id
     * @return
     */
    @GetMapping("/deviceTypeCount")
    public ApiResult<DeviceCountVO> selectDeviceCountByType(@RequestParam Integer site){
        return ApiResult.success(deviceService.selectDeviceCountByType(site));
    }
}

