package com.bizmatics.persistence.mapper;

import com.bizmatics.model.HtAnalogData;
import com.bizmatics.common.mvc.base.CrudMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Repository
public interface HtAnalogDataMapper extends CrudMapper<HtAnalogData> {


    HtAnalogData selectByEndTime(@Param("startTime") Date startTime,
                                 @Param("endTime") Date endTime,
                                 @Param("siteId")Integer siteId,
                                 @Param("userId")Integer userId);


    HtAnalogData selectByStartTime(@Param("startTime") Date startTime,
                                   @Param("endTime") Date endTime,
                                   @Param("siteId")Integer siteId,
                                   @Param("userId")Integer userId);


    Map<String,Double> selectMaxAndMinAndAvg(@Param("siteId") Integer siteId,
                                             @Param("startTime") Date startTime,
                                             @Param("endTime") Date endTime);
}
