package com.bizmatics.persistence.mapper;

import com.bizmatics.model.RtAnalogData;
import com.bizmatics.common.mvc.base.CrudMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Repository
public interface RtAnalogDataMapper extends CrudMapper<RtAnalogData> {


    /**
     * 查询电力总负荷
     * @param userId
     * @param siteId
     * @return
     */
    Double selectTotalLoad(@Param("userId") Integer userId,
                        @Param("siteId") Integer siteId);


    Map<String,Object> getOneMap(@Param("siteId")Integer siteId);

    Map<String,Object> getDataReportMap(@Param("siteId")Integer siteId, @Param("startTime") Date startTime, @Param("endTime")Date endTime);

}
