package com.bizmatics.service.enums;

import org.bouncycastle.asn1.cmc.LraPopWitness;

/**
 * @author yq
 * @date 2021/7/7 14:48
 */
public enum DeviceStatusCode {

    /**
     * 正常
     */
    NORMAL(0,"正常"),
    /**
     * 离线
     */
    OFFLINE(1,"离线"),
    /**
     * 故障
     */
    FAULT(4,"故障"),
    /**
     * 告警
     */
    DEVICE(77,"告警");


    private final Integer value;
    private final String describe;

    DeviceStatusCode(Integer value,String describe){
        this.value = value;
        this.describe = describe;
    }

    public Integer getValue(){
        return this.value;
    }


    public String getDescribe(){
        return this.describe;
    }
}
